What web browsers work best with Backprint?


To keep your customers' ordering environment secure, Backprint requires customers to have updated browser versions shown below.  If they are using an outdated browser, they will be prompted to download a more recent version automatically.  

The site checks for current browser versions and the customer has to have one of the following versions or they will be prompted to update:

Internet Explorer version 9.0 or higher

Firefox/Mozilla version 20.0 or higher

AppleMAC-Safari version 5.1 or higher

Chrome version 31.0  or higher

Browser upgrade message shown below:


What web browser do I have?

Here are some helpful screen shots to determine what browser you and your customers have:


Any information we provide about non-Backprint products are provided as informational and a courtesy and should not be interpreted as an endorsement by Backprint.

Have more questions? Submit a request


Powered by Zendesk